Retrieve a Project MCP Server

get

/ic/api/integration/v1/projects/{projectId}/mcp/servers/{id}

Retrieves an MCP server configured for a project.

Request

Path Parameters
Query Parameters
  • Set to adapter to include adapter details. The value is case-insensitive; unsupported expansion values are rejected.
    Example:
    adapter
  • This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
    Example:
    example-instance

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : MCPServerRs
Type: object
Project MCP server resource. Same as ConnectionRs with the MCP spec payload.
Show Source
Nested Schema : adapter
Adapter identity and capabilities.
Match All
Adapter identity and capabilities.
Show Source
Nested Schema : adapterType
Adapter identity and type.
Match All
Adapter identity and type.
Show Source
Nested Schema : connectionProperties
Type: array
List of Connection Properties
Show Source
Nested Schema : overrideProperties
Override Properties.
Match All
Override Properties.
Show Source
Nested Schema : securityPolicyInfo
Type: array
List of Security Policies
Show Source
Nested Schema : securityProperties
Type: array
List of Security Properties
Show Source
Nested Schema : wsdlListDir
Type: array
List of WSDL
Show Source
Nested Schema : MCP2610_AdapterTypeRs
Type: object
Adapter
Show Source
Nested Schema : allowedDomains
Type: array
Allowed Domains.
Show Source
Nested Schema : genericAuthSupport
Type: array
Generic Auth Support.
Show Source
Nested Schema : icons
Adapter icon URLs.
Match All
Adapter icon URLs.
Show Source
Nested Schema : oauth3LeggedSupport
Type: array
Oauth3 Legged Support.
Show Source
Nested Schema : vendorInfo
Adapter vendor information.
Match All
Adapter vendor information.
Show Source
Nested Schema : MCP2610_AdapterIconsRs
Type: object
Icon URLs associated with an adapter.
Show Source
Nested Schema : MCP2610_AdapterVendorInfo
Type: object
Vendor and documentation details for an adapter.
Show Source
Nested Schema : MCP2610_AdapterTypeBaseRs
Type: object
Adapter identity and display metadata.
Show Source
Nested Schema : MCP2610_ConnectionPropertyRs
Type: object
A connection or security property, including its value, validation metadata, and optional attachment.
Show Source
Nested Schema : acceptableKeys
Type: array
Permitted values for the adapter property.
Show Source
Nested Schema : attachment
Attachment associated with this connection property.
Match All
Attachment associated with this connection property.
Show Source
Nested Schema : MCP2610_AdapterKey
Type: object
An acceptable adapter property value and its integration-role scope.
Show Source
Nested Schema : MCP2610_ConnectionAttachmentRs
Type: object
Connection attachment and the property to which it belongs.
Show Source
Nested Schema : attachment
Attachment associated with this connection property.
Match All
Attachment associated with this connection property.
Show Source
Nested Schema : MCP2610_BaseAttachmentRs
Type: object
Attachment metadata and content associated with a connection property.
Show Source
Nested Schema : OverridePropertiesRs
Type: object
Project-specific connection override metadata.
Show Source
Nested Schema : MCP2610_SecurityPolicyInfoRs
Type: object
Connection authentication policy and its security properties.
Show Source
Nested Schema : securityProperties
Type: array
Security Properties.
Show Source

400 Response

Malformed parameters or invalid request

401 Response

Unauthorized or insufficient design-time permissions

404 Response

Project or resource not found, or the MCP feature is not available

500 Response

Server error
Back to Top

Examples

The following example shows how to retrieve an MCP server configured for a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Retrieve a Project MCP Server

curl --request GET --include \
  --url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/servers/${SERVER_ID}?integrationInstance=${INTEGRATION_INSTANCE}" \
  --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/json"
Back to Top